Index: /trunk/bp-forums.php
===================================================================
--- /trunk/bp-forums.php	(revision 3727)
+++ /trunk/bp-forums.php	(revision 3728)
@@ -1,5 +1,5 @@
 <?php
 
-/* Define the parent forum ID */
+// Define the parent forum ID
 if ( !defined( 'BP_FORUMS_PARENT_FORUM_ID' ) )
 	define( 'BP_FORUMS_PARENT_FORUM_ID', 1 );
@@ -19,13 +19,17 @@
 function bp_forums_setup() {
 	global $bp;
-        
-        if ( !defined( 'BP_FORUMS_SLUG' ) )
-                define ( 'BP_FORUMS_SLUG', $bp->pages->forums->slug );
+
+	if ( !defined( 'BP_FORUMS_SLUG' ) )
+		define ( 'BP_FORUMS_SLUG', bp_core_component_slug_from_root_slug( $bp->pages->forums->slug ) );
 
 	// For internal identification
 	$bp->forums->id = 'forums';
 
+	// Slugs
+	$bp->forums->slug      = BP_FORUMS_SLUG;
+	$bp->forums->root_slug = $bp->pages->forums->slug;
+
+	// Images
 	$bp->forums->image_base = BP_PLUGIN_URL . '/bp-forums/images';
-	$bp->forums->slug = BP_FORUMS_SLUG;
 
 	if ( isset( $bp->site_options['bb-config-location'] ) )
@@ -81,11 +85,10 @@
 		do_action( 'bbpress_init' );
 
-		/* Check to see if the user has posted a new topic from the forums page. */
+		// Check to see if the user has posted a new topic from the forums page.
 		if ( isset( $_POST['submit_topic'] ) && function_exists( 'bp_forums_new_topic' ) ) {
-			/* Check the nonce */
 			check_admin_referer( 'bp_forums_new_topic' );
 
 			if ( $bp->groups->current_group = groups_get_group( array( 'group_id' => $_POST['topic_group_id'] ) ) ) {
-				/* Auto join this user if they are not yet a member of this group */
+				// Auto join this user if they are not yet a member of this group
 				if ( !is_super_admin() && 'public' == $bp->groups->current_group->status && !groups_is_user_member( $bp->loggedin_user->id, $bp->groups->current_group->id ) )
 					groups_join_group( $bp->groups->current_group->id, $bp->groups->current_group->id );
@@ -134,10 +137,10 @@
 	require ( BP_PLUGIN_DIR . '/bp-forums/bp-forums-admin.php' );
 
-	/* Add the administration tab under the "Site Admin" tab for site administrators */
+	// Add the administration tab under the "Site Admin" tab for site administrators
 	add_submenu_page( 'bp-general-settings', __( 'Forums Setup', 'buddypress' ), __( 'Forums Setup', 'buddypress' ), 'manage_options', 'bb-forums-setup', "bp_forums_bbpress_admin" );
 }
 add_action( is_multisite() ? 'network_admin_menu' : 'admin_menu', 'bp_forums_add_admin_menu' );
 
-/* Forum Functions */
+/** Forum Functions ***********************************************************/
 
 function bp_forums_get_forum( $forum_id ) {
@@ -150,8 +153,8 @@
 
 	$defaults = array(
-		'forum_name' => '',
-		'forum_desc' => '',
-		'forum_parent_id' => BP_FORUMS_PARENT_FORUM_ID,
-		'forum_order' => false,
+		'forum_name'        => '',
+		'forum_desc'        => '',
+		'forum_parent_id'   => BP_FORUMS_PARENT_FORUM_ID,
+		'forum_order'       => false,
 		'forum_is_category' => 0
 	);
@@ -182,5 +185,5 @@
 }
 
-/* Topic Functions */
+/** Topic Functions ***********************************************************/
 
 function bp_forums_get_forum_topics( $args = '' ) {
@@ -207,20 +210,20 @@
 			$query = new BB_Query( 'topic', array( 'forum_id' => $forum_id, 'topic_author_id' => $user_id, 'per_page' => $per_page, 'page' => $page, 'number' => $per_page, 'exclude' => $exclude, 'topic_title' => $filter, 'sticky' => $show_stickies ), 'get_latest_topics' );
 			$topics =& $query->results;
-		break;
+			break;
 
 		case 'popular':
 			$query = new BB_Query( 'topic', array( 'forum_id' => $forum_id, 'topic_author_id' => $user_id, 'per_page' => $per_page, 'page' => $page, 'order_by' => 't.topic_posts', 'topic_title' => $filter, 'sticky' => $show_stickies ) );
 			$topics =& $query->results;
-		break;
+			break;
 
 		case 'unreplied':
 			$query = new BB_Query( 'topic', array( 'forum_id' => $forum_id, 'topic_author_id' => $user_id, 'post_count' => 1, 'per_page' => $per_page, 'page' => $page, 'order_by' => 't.topic_time', 'topic_title' => $filter, 'sticky' => $show_stickies ) );
 			$topics =& $query->results;
-		break;
+			break;
 
 		case 'tags':
 			$query = new BB_Query( 'topic', array( 'forum_id' => $forum_id, 'topic_author_id' => $user_id, 'tag' => $filter, 'per_page' => $per_page, 'page' => $page, 'order_by' => 't.topic_time', 'sticky' => $show_stickies ) );
 			$topics =& $query->results;
-		break;
+			break;
 	}
 
@@ -247,16 +250,16 @@
 
 	$defaults = array(
-		'topic_title' => '',
-		'topic_slug' => '',
-		'topic_text' => '',
-		'topic_poster' => $bp->loggedin_user->id, // accepts ids
-		'topic_poster_name' => $bp->loggedin_user->fullname, // accept names
-		'topic_last_poster' => $bp->loggedin_user->id, // accepts ids
+		'topic_title'            => '',
+		'topic_slug'             => '',
+		'topic_text'             => '',
+		'topic_poster'           => $bp->loggedin_user->id, // accepts ids
+		'topic_poster_name'      => $bp->loggedin_user->fullname, // accept names
+		'topic_last_poster'      => $bp->loggedin_user->id, // accepts ids
 		'topic_last_poster_name' => $bp->loggedin_user->fullname, // accept names
-		'topic_start_time' => bp_core_current_time(),
-		'topic_time' => bp_core_current_time(),
-		'topic_open' => 1,
-		'topic_tags' => false, // accepts array or comma delim
-		'forum_id' => 0 // accepts ids or slugs
+		'topic_start_time'       => bp_core_current_time(),
+		'topic_time'             => bp_core_current_time(),
+		'topic_open'             => 1,
+		'topic_tags'             => false, // accepts array or comma delim
+		'forum_id'               => 0 // accepts ids or slugs
 	);
 
@@ -275,5 +278,5 @@
 		return false;
 
-	/* Now insert the first post. */
+	// Now insert the first post.
 	if ( !bp_forums_insert_post( array( 'topic_id' => $topic_id, 'post_text' => $topic_text, 'post_time' => $topic_time, 'poster_id' => $topic_poster ) ) )
 		return false;
@@ -290,33 +293,33 @@
 
 	$defaults = array(
+		'topic_id'    => false,
+		'topic_title' => '',
+		'topic_text'  => ''
+	);
+
+	$r = wp_parse_args( $args, $defaults );
+	extract( $r, EXTR_SKIP );
+
+	if ( !$topic_id = bb_insert_topic( array( 'topic_id' => $topic_id, 'topic_title' => stripslashes( $topic_title ) ) ) )
+		return false;
+
+	if ( !$post = bb_get_first_post( $topic_id ) )
+		return false;
+
+	// Update the first post
+	if ( !$post = bp_forums_insert_post( array( 'post_id' => $post->post_id, 'topic_id' => $topic_id, 'post_text' => $topic_text, 'post_time' => $post->post_time, 'poster_id' => $post->poster_id, 'poster_ip' => $post->poster_ip, 'post_status' => $post->post_status, 'post_position' => $post->post_position ) ) )
+		return false;
+
+	return bp_forums_get_topic_details( $topic_id );
+}
+
+function bp_forums_sticky_topic( $args = '' ) {
+	global $bp;
+
+	do_action( 'bbpress_init' );
+
+	$defaults = array(
 		'topic_id' => false,
-		'topic_title' => '',
-		'topic_text' => ''
-	);
-
-	$r = wp_parse_args( $args, $defaults );
-	extract( $r, EXTR_SKIP );
-
-	if ( !$topic_id = bb_insert_topic( array( 'topic_id' => $topic_id, 'topic_title' => stripslashes( $topic_title ) ) ) )
-		return false;
-
-	if ( !$post = bb_get_first_post( $topic_id ) )
-		return false;
-
-	/* Update the first post */
-	if ( !$post = bp_forums_insert_post( array( 'post_id' => $post->post_id, 'topic_id' => $topic_id, 'post_text' => $topic_text, 'post_time' => $post->post_time, 'poster_id' => $post->poster_id, 'poster_ip' => $post->poster_ip, 'post_status' => $post->post_status, 'post_position' => $post->post_position ) ) )
-		return false;
-
-	return bp_forums_get_topic_details( $topic_id );
-}
-
-function bp_forums_sticky_topic( $args = '' ) {
-	global $bp;
-
-	do_action( 'bbpress_init' );
-
-	$defaults = array(
-		'topic_id' => false,
-		'mode' => 'stick' // stick/unstick
+		'mode'     => 'stick' // stick/unstick
 	);
 
@@ -339,5 +342,5 @@
 	$defaults = array(
 		'topic_id' => false,
-		'mode' => 'close' // stick/unstick
+		'mode'     => 'close' // stick/unstick
 	);
 
@@ -398,16 +401,16 @@
 		return $topics;
 
-	/* Get the topic ids */
+	// Get the topic ids
 	foreach ( (array)$topics as $topic ) $topic_ids[] = $topic->topic_id;
 	$topic_ids = $wpdb->escape( join( ',', (array)$topic_ids ) );
 
-	/* Fetch the topic's last poster details */
+	// Fetch the topic's last poster details
 	$poster_details = $wpdb->get_results( $wpdb->prepare( "SELECT t.topic_id, t.topic_last_poster, u.user_login, u.user_nicename, u.user_email, u.display_name FROM {$wpdb->users} u, {$bbdb->topics} t WHERE u.ID = t.topic_last_poster AND t.topic_id IN ( {$topic_ids} )" ) );
 	for ( $i = 0; $i < count( $topics ); $i++ ) {
 		foreach ( (array)$poster_details as $poster ) {
 			if ( $poster->topic_id == $topics[$i]->topic_id ) {
-				$topics[$i]->topic_last_poster_email = $poster->user_email;
-				$topics[$i]->topic_last_poster_nicename = $poster->user_nicename;
-				$topics[$i]->topic_last_poster_login = $poster->user_login;
+				$topics[$i]->topic_last_poster_email       = $poster->user_email;
+				$topics[$i]->topic_last_poster_nicename    = $poster->user_nicename;
+				$topics[$i]->topic_last_poster_login       = $poster->user_login;
 				$topics[$i]->topic_last_poster_displayname = $poster->display_name;
 			}
@@ -415,5 +418,5 @@
 	}
 
-	/* Fetch fullname for the topic's last poster */
+	// Fetch fullname for the topic's last poster
 	if ( bp_is_active( 'xprofile' ) ) {
 		$poster_names = $wpdb->get_results( $wpdb->prepare( "SELECT t.topic_id, pd.value FROM {$bp->profile->table_name_data} pd, {$bbdb->topics} t WHERE pd.user_id = t.topic_last_poster AND pd.field_id = 1 AND t.topic_id IN ( {$topic_ids} )" ) );
@@ -429,5 +432,5 @@
 }
 
-/* Post Functions */
+/** Post Functions ************************************************************/
 
 function bp_forums_get_topic_posts( $args = '' ) {
@@ -436,12 +439,12 @@
 	$defaults = array(
 		'topic_id' => false,
-		'page' => 1,
+		'page'     => 1,
 		'per_page' => 15,
-		'order' => 'ASC'
-	);
-
-	$args = wp_parse_args( $args, $defaults );
-
+		'order'    => 'ASC'
+	);
+
+	$args  = wp_parse_args( $args, $defaults );
 	$query = new BB_Query( 'post', $args, 'get_thread' );
+
 	return bp_forums_get_post_extras( $query->results );
 }
@@ -473,11 +476,11 @@
 
 	$defaults = array(
-		'post_id' => false,
-		'topic_id' => false,
-		'post_text' => '',
-		'post_time' => bp_core_current_time(),
-		'poster_id' => $bp->loggedin_user->id, // accepts ids or names
-		'poster_ip' => $_SERVER['REMOTE_ADDR'],
-		'post_status' => 0, // use bb_delete_post() instead
+		'post_id'       => false,
+		'topic_id'      => false,
+		'post_text'     => '',
+		'post_time'     => bp_core_current_time(),
+		'poster_id'     => $bp->loggedin_user->id, // accepts ids or names
+		'poster_ip'     => $_SERVER['REMOTE_ADDR'],
+		'post_status'   => 0, // use bb_delete_post() instead
 		'post_position' => false
 	);
@@ -503,5 +506,5 @@
 	$post_id = bb_insert_post( array( 'post_id' => $post_id, 'topic_id' => $topic_id, 'post_text' => stripslashes( trim( $post_text ) ), 'post_time' => $post_time, 'poster_id' => $poster_id, 'poster_ip' => $poster_ip, 'post_status' => $post_status, 'post_position' => $post_position ) );
 
-	if ( $post_id )
+	if ( !empty( $post_id ) )
 		do_action( 'bp_forums_new_post', $post_id );
 
@@ -515,9 +518,9 @@
 		return $posts;
 
-	/* Get the user ids */
+	// Get the user ids
 	foreach ( (array)$posts as $post ) $user_ids[] = $post->poster_id;
 	$user_ids = $wpdb->escape( join( ',', (array)$user_ids ) );
 
-	/* Fetch the poster's user_email, user_nicename and user_login */
+	// Fetch the poster's user_email, user_nicename and user_login
 	$poster_details = $wpdb->get_results( $wpdb->prepare( "SELECT u.ID as user_id, u.user_login, u.user_nicename, u.user_email, u.display_name FROM {$wpdb->users} u WHERE u.ID IN ( {$user_ids} )" ) );
 
@@ -525,13 +528,13 @@
 		foreach ( (array)$poster_details as $poster ) {
 			if ( $poster->user_id == $posts[$i]->poster_id ) {
-				$posts[$i]->poster_email = $poster->user_email;
-				$posts[$i]->poster_login = $poster->user_nicename;
+				$posts[$i]->poster_email    = $poster->user_email;
+				$posts[$i]->poster_login    = $poster->user_nicename;
 				$posts[$i]->poster_nicename = $poster->user_login;
-				$posts[$i]->poster_name = $poster->display_name;
+				$posts[$i]->poster_name     = $poster->display_name;
 			}
 		}
 	}
 
-	/* Fetch fullname for each poster. */
+	// Fetch fullname for each poster.
 	if ( bp_is_active( 'xprofile' ) ) {
 		$poster_names = $wpdb->get_results( $wpdb->prepare( "SELECT pd.user_id, pd.value FROM {$bp->profile->table_name_data} pd WHERE pd.user_id IN ( {$user_ids} )" ) );
@@ -552,5 +555,5 @@
 	do_action( 'bbpress_init' );
 
-	/* Need to find a bbPress function that does this */
+	// Need to find a bbPress function that does this
 	return $wpdb->get_results( $wpdb->prepare( "SELECT topics, posts from {$bbdb->forums} WHERE forum_id = %d", $forum_id ) );
 }
@@ -586,4 +589,5 @@
 add_action( 'bp_forums_new_forum', 'bp_core_clear_cache' );
 add_action( 'bp_forums_new_topic', 'bp_core_clear_cache' );
-add_action( 'bp_forums_new_post', 'bp_core_clear_cache' );
+add_action( 'bp_forums_new_post',  'bp_core_clear_cache' );
+
 ?>
Index: /trunk/bp-friends.php
===================================================================
--- /trunk/bp-friends.php	(revision 3727)
+++ /trunk/bp-friends.php	(revision 3728)
@@ -1,26 +1,30 @@
 <?php
 
+// Required Files
+require ( BP_PLUGIN_DIR . '/bp-friends/bp-friends-classes.php' );
+require ( BP_PLUGIN_DIR . '/bp-friends/bp-friends-templatetags.php' );
+
 define ( 'BP_FRIENDS_DB_VERSION', '1800' );
 
-/* Define the slug for the component */
+// Define the slug for the component
 if ( !defined( 'BP_FRIENDS_SLUG' ) )
 	define ( 'BP_FRIENDS_SLUG', 'friends' );
 
-require ( BP_PLUGIN_DIR . '/bp-friends/bp-friends-classes.php' );
-require ( BP_PLUGIN_DIR . '/bp-friends/bp-friends-templatetags.php' );
-
 function friends_setup_globals() {
 	global $bp;
 
-	/* For internal identification */
+	// For internal identification
 	$bp->friends->id = 'friends';
 
+	// Slug
 	$bp->friends->slug = BP_FRIENDS_SLUG;
 
+	// Table
 	$bp->friends->table_name = $bp->table_prefix . 'bp_friends';
 
+	// Notifications
 	$bp->friends->format_notification_function = 'friends_format_notifications';
 
-	/* Register this in the active components array */
+	// Register this in the active components array
 	$bp->active_components[$bp->friends->slug] = $bp->friends->id;
 
@@ -32,12 +36,12 @@
 	global $bp;
 
-	/* Add 'Friends' to the main navigation */
+	// Add 'Friends' to the main navigation
 	bp_core_new_nav_item( array( 'name' => sprintf( __( 'Friends <span>(%d)</span>', 'buddypress' ), friends_get_total_friend_count() ), 'slug' => $bp->friends->slug, 'position' => 60, 'screen_function' => 'friends_screen_my_friends', 'default_subnav_slug' => 'my-friends', 'item_css_id' => $bp->friends->id ) );
 
 	$friends_link = $bp->loggedin_user->domain . $bp->friends->slug . '/';
 
-	/* Add the subnav items to the friends nav item */
-	bp_core_new_subnav_item( array( 'name' => __( 'My Friends', 'buddypress' ), 'slug' => 'my-friends', 'parent_url' => $friends_link, 'parent_slug' => $bp->friends->slug, 'screen_function' => 'friends_screen_my_friends', 'position' => 10, 'item_css_id' => 'friends-my-friends' ) );
-	bp_core_new_subnav_item( array( 'name' => __( 'Requests', 'buddypress' ), 'slug' => 'requests', 'parent_url' => $friends_link, 'parent_slug' => $bp->friends->slug, 'screen_function' => 'friends_screen_requests', 'position' => 20, 'user_has_access' => bp_is_my_profile() ) );
+	// Add the subnav items to the friends nav item
+	bp_core_new_subnav_item( array( 'name' => __( 'My Friends', 'buddypress' ), 'slug' => 'my-friends', 'parent_url' => $friends_link, 'parent_slug' => $bp->friends->slug, 'screen_function' => 'friends_screen_my_friends', 'position' => 10, 'item_css_id'     => 'friends-my-friends' ) );
+	bp_core_new_subnav_item( array( 'name' => __( 'Requests',   'buddypress' ), 'slug' => 'requests',   'parent_url' => $friends_link, 'parent_slug' => $bp->friends->slug, 'screen_function' => 'friends_screen_requests',   'position' => 20, 'user_has_access' => bp_is_my_profile()   ) );
 
 	if ( $bp->current_component == $bp->friends->slug ) {
@@ -77,5 +81,5 @@
 
 	if ( isset( $bp->action_variables[0] ) && isset( $bp->action_variables[1] ) && 'accept' == $bp->action_variables[0] && is_numeric( $bp->action_variables[1] ) ) {
-		/* Check the nonce */
+		// Check the nonce
 		check_admin_referer( 'friends_accept_friendship' );
 
@@ -88,5 +92,5 @@
 
 	} elseif ( isset( $bp->action_variables[0] ) && isset( $bp->action_variables[1] ) && 'reject' == $bp->action_variables[0] && is_numeric( $bp->action_variables[1] ) ) {
-		/* Check the nonce */
+		// Check the nonce
 		check_admin_referer( 'friends_reject_friendship' );
 
@@ -110,12 +114,12 @@
 	global $bp;
 
-	$send_requests = get_user_meta( $bp->displayed_user->id, 'notification_friends_friendship_request', true );
-	if ( !$send_requests )
-		$send_requests = 'yes';
-
-	$accept_requests = get_user_meta( $bp->displayed_user->id, 'notification_friends_friendship_accepted', true );
-	if ( !$accept_requests )
+	
+	if ( !$send_requests = get_user_meta( $bp->displayed_user->id, 'notification_friends_friendship_request', true ) )
+		$send_requests   = 'yes';
+
+	if ( !$accept_requests = get_user_meta( $bp->displayed_user->id, 'notification_friends_friendship_accepted', true ) )
 		$accept_requests = 'yes';
 ?>
+
 	<table class="notification-settings zebra" id="friends-notification-settings">
 		<thead>
@@ -143,6 +147,8 @@
 
 			<?php do_action( 'friends_screen_notification_settings' ); ?>
+
 		</tbody>
 	</table>
+
 <?php
 }
@@ -184,4 +190,5 @@
 			bp_core_add_message( __( 'Friendship requested', 'buddypress' ) );
 		}
+
 	} else if ( 'is_friend' == $friendship_status ) {
 		bp_core_add_message( __( 'You are already friends with this user', 'buddypress' ), 'error' );
@@ -222,4 +229,5 @@
 			bp_core_add_message( __( 'Friendship canceled', 'buddypress' ) );
 		}
+
 	} else if ( 'is_friends' == $friendship_status ) {
 		bp_core_add_message( __( 'You are not yet friends with this user', 'buddypress' ), 'error' );
@@ -248,15 +256,15 @@
 		return false;
 
-	$defaults = array(
-		'user_id' => $bp->loggedin_user->id,
-		'action' => '',
-		'content' => '',
-		'primary_link' => '',
-		'component' => $bp->friends->id,
-		'type' => false,
-		'item_id' => false,
+	$defaults = array (
+		'user_id'           => $bp->loggedin_user->id,
+		'action'            => '',
+		'content'           => '',
+		'primary_link'      => '',
+		'component'         => $bp->friends->id,
+		'type'              => false,
+		'item_id'           => false,
 		'secondary_item_id' => false,
-		'recorded_time' => bp_core_current_time(),
-		'hide_sitewide' => false
+		'recorded_time'     => bp_core_current_time(),
+		'hide_sitewide'     => false
 	);
 
@@ -300,5 +308,5 @@
 				return apply_filters( 'bp_friends_single_friendship_accepted_notification', '<a href="' . $user_url . '?new" title="' . $user_fullname .'\'s profile">' . sprintf( __( '%s accepted your friendship request', 'buddypress' ), $user_fullname ) . '</a>', $user_fullname );
 			}
-		break;
+			break;
 
 		case 'friendship_request':
@@ -310,5 +318,5 @@
 				return apply_filters( 'bp_friends_single_friendship_request_notification', '<a href="' . $bp->loggedin_user->domain . $bp->friends->slug . '/requests/?new" title="' . __( 'Friendship requests', 'buddypress' ) . '">' . sprintf( __('You have a friendship request from %s', 'buddypress' ), $user_fullname ) . '</a>', $user_fullname );
 			}
-		break;
+			break;
 	}
 
@@ -337,8 +345,8 @@
 
 	$friendship->initiator_user_id = $initiator_userid;
-	$friendship->friend_user_id = $friend_userid;
-	$friendship->is_confirmed = 0;
-	$friendship->is_limited = 0;
-	$friendship->date_created = bp_core_current_time();
+	$friendship->friend_user_id    = $friend_userid;
+	$friendship->is_confirmed      = 0;
+	$friendship->is_limited        = 0;
+	$friendship->date_created      = bp_core_current_time();
 
 	if ( $force_accept )
@@ -370,5 +378,5 @@
 
 	$friendship_id = BP_Friends_Friendship::get_friendship_id( $initiator_userid, $friend_userid );
-	$friendship = new BP_Friends_Friendship( $friendship_id );
+	$friendship    = new BP_Friends_Friendship( $friendship_id );
 
 	// Remove the activity stream item for the user who canceled the friendship
@@ -427,4 +435,5 @@
 
 		do_action( 'friends_friendship_accepted', $friendship->id, $friendship->initiator_user_id, $friendship->friend_user_id );
+
 		return true;
 	}
@@ -456,10 +465,10 @@
 }
 
+// Returns - 'is_friend', 'not_friends', 'pending'
 function friends_check_friendship_status( $user_id, $possible_friend_id ) {
-	/* Returns - 'is_friend', 'not_friends', 'pending' */
 	return BP_Friends_Friendship::check_is_friend( $user_id, $possible_friend_id );
 }
 
-function friends_get_total_friend_count( $user_id = false ) {
+function friends_get_total_friend_count( $user_id = 0 ) {
 	global $bp;
 
@@ -504,13 +513,13 @@
 }
 
-function friends_get_recently_active( $user_id, $per_page = false, $page = false, $filter = false ) {
+function friends_get_recently_active( $user_id, $per_page = 0, $page = 0, $filter = '' ) {
 	return apply_filters( 'friends_get_recently_active', BP_Core_User::get_users( 'active', $per_page, $page, $user_id, $filter ) );
 }
 
-function friends_get_alphabetically( $user_id, $per_page = false, $page = false, $filter = false ) {
+function friends_get_alphabetically( $user_id, $per_page = 0, $page = 0, $filter = '' ) {
 	return apply_filters( 'friends_get_alphabetically', BP_Core_User::get_users( 'alphabetical', $per_page, $page, $user_id, $filter ) );
 }
 
-function friends_get_newest( $user_id, $per_page = false, $page = false, $filter = false ) {
+function friends_get_newest( $user_id, $per_page = 0, $page = 0, $filter = '' ) {
 	return apply_filters( 'friends_get_newest', BP_Core_User::get_users( 'newest', $per_page, $page, $user_id, $filter ) );
 }
@@ -520,5 +529,5 @@
 }
 
-function friends_get_friends_invite_list( $user_id = false ) {
+function friends_get_friends_invite_list( $user_id = 0 ) {
 	global $bp;
 
@@ -549,5 +558,5 @@
 }
 
-function friends_search_users( $search_terms, $user_id, $pag_num = false, $pag_page = false ) {
+function friends_search_users( $search_terms, $user_id, $pag_num = 0, $pag_page = 0 ) {
 	global $bp;
 
@@ -557,9 +566,8 @@
 		return false;
 
-	for ( $i = 0; $i < count($user_ids); $i++ ) {
+	for ( $i = 0; $i < count( $user_ids ); $i++  )
 		$users[] = new BP_Core_User($user_ids[$i]);
-	}
-
-	return array( 'users' => $users, 'count' => BP_Friends_Friendship::search_users_count($search_terms) );
+
+	return array( 'users' => $users, 'count' => BP_Friends_Friendship::search_users_count( $search_terms ) );
 }
 
@@ -584,14 +592,14 @@
 	BP_Friends_Friendship::delete_all_for_user($user_id);
 
-	/* Remove usermeta */
+	// Remove usermeta
 	delete_user_meta( $user_id, 'total_friend_count' );
 
-	/* Remove friendship requests FROM user */
+	// Remove friendship requests FROM user
 	bp_core_delete_notifications_from_user( $user_id, $bp->friends->id, 'friendship_request' );
 
 	do_action( 'friends_remove_data', $user_id );
 }
-add_action( 'wpmu_delete_user', 'friends_remove_data' );
-add_action( 'delete_user', 'friends_remove_data' );
+add_action( 'wpmu_delete_user',  'friends_remove_data' );
+add_action( 'delete_user',       'friends_remove_data' );
 add_action( 'bp_make_spam_user', 'friends_remove_data' );
 
@@ -608,8 +616,8 @@
 		return false;
 
-	wp_cache_delete( 'friends_friend_ids_' . $friendship->initiator_user_id, 'bp' );
-	wp_cache_delete( 'friends_friend_ids_' . $friendship->friend_user_id, 'bp' );
+	wp_cache_delete( 'friends_friend_ids_' .    $friendship->initiator_user_id, 'bp' );
+	wp_cache_delete( 'friends_friend_ids_' .    $friendship->friend_user_id,    'bp' );
 	wp_cache_delete( 'bp_total_friend_count_' . $friendship->initiator_user_id, 'bp' );
-	wp_cache_delete( 'bp_total_friend_count_' . $friendship->friend_user_id, 'bp' );
+	wp_cache_delete( 'bp_total_friend_count_' . $friendship->friend_user_id,    'bp' );
 }
 
@@ -624,10 +632,10 @@
 // List actions to clear object caches on
 add_action( 'friends_friendship_accepted', 'friends_clear_friend_object_cache' );
-add_action( 'friends_friendship_deleted', 'friends_clear_friend_object_cache' );
+add_action( 'friends_friendship_deleted',  'friends_clear_friend_object_cache' );
 
 // List actions to clear super cached pages on, if super cache is installed
-add_action( 'friends_friendship_rejected', 'bp_core_clear_cache' );
-add_action( 'friends_friendship_accepted', 'bp_core_clear_cache' );
-add_action( 'friends_friendship_deleted', 'bp_core_clear_cache' );
+add_action( 'friends_friendship_rejected',  'bp_core_clear_cache' );
+add_action( 'friends_friendship_accepted',  'bp_core_clear_cache' );
+add_action( 'friends_friendship_deleted',   'bp_core_clear_cache' );
 add_action( 'friends_friendship_requested', 'bp_core_clear_cache' );
 
